import * as $dara from '@darabonba/typescript';
import { DeleteHaVipResponseBody } from "./DeleteHaVipResponseBody";
export declare class DeleteHaVipResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteHaVipResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
